StarFormatManager Class Reference documentation

Public Member Functions | Private Attributes | List of all members
StarFormatManager Class Reference

the main class to read/. More...

`#include <StarFormatManager.hxx>`

## Public Member Functions
| StarFormatManager ()
| constructor
virtual | ~StarFormatManager ()
| destructor
bool | readSWFormatDef (StarZone &zone, unsigned char kind, std::shared_ptr< StarFormatManagerInternal::FormatDef > &format, StarObject &doc)
| try to read a format zone : 'f' or 'l' or 'o' or 'r' or 's'(in TOCX)
void | storeSWFormatDef (librevenge::RVNGString const &name, std::shared_ptr< StarFormatManagerInternal::FormatDef > &format)
| store a named format zone
std::shared_ptr< StarFormatManagerInternal::FormatDef > | getSWFormatDef (librevenge::RVNGString const &name) const
| try to return a named format zone(if possible)
bool | readSWNumberFormatterList (StarZone &zone)
| try to read a number formatter type : 'q'
bool | readSWFlyFrameList (StarZone &zone, StarObject &doc, std::vector< std::shared_ptr< StarFormatManagerInternal::FormatDef > > &listFormats)
| try to read a fly frame list : 'F' (list of 'l' or 'o')
bool | readSWPatternLCL (StarZone &zone)
| try to read a format pattern LCL : 'P' (list of 'D') (child of a TOXs)
bool | readNumberFormat (StarZone &zone, long endPos, StarObject &doc)
| try to read a number format (find in attribute)
bool | readNumberFormatter (StarZone &zone)
| try to read number formatter type
void | updateNumberingProperties (STOFFCell &cell) const
| try to update the cell's data

## Private Attributes
std::shared_ptr< StarFormatManagerInternal::State > | m_state
| the state

## Detailed Description

the main class to read/.

. a StarOffice sdw format

## Constructor & Destructor Documentation

## ◆ StarFormatManager()

StarFormatManager::StarFormatManager | ( |  | ) |

constructor

## ◆ ~StarFormatManager()

StarFormatManager::~StarFormatManager | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getSWFormatDef()

std::shared_ptr< StarFormatManagerInternal::FormatDef > StarFormatManager::getSWFormatDef | ( | librevenge::RVNGString const & | name | ) | const

try to return a named format zone(if possible)

## ◆ readNumberFormat()

bool StarFormatManager::readNumberFormat | ( | StarZone & | zone,
|  | long | endPos,
|  | StarObject & | doc )

try to read a number format (find in attribute)

## ◆ readNumberFormatter()

bool StarFormatManager::readNumberFormatter | ( | StarZone & | zone | ) |

try to read number formatter type

Referenced by readSWNumberFormatterList().

## ◆ readSWFlyFrameList()

bool StarFormatManager::readSWFlyFrameList | ( | StarZone & | zone,
|  | StarObject & | doc,
|  | std::vector< std::shared_ptr< StarFormatManagerInternal::FormatDef > > & | listFormats )

try to read a fly frame list : 'F' (list of 'l' or 'o')

## ◆ readSWFormatDef()

bool StarFormatManager::readSWFormatDef | ( | StarZone & | zone,
|  | unsigned char | kind,
|  | std::shared_ptr< StarFormatManagerInternal::FormatDef > & | format,
|  | StarObject & | doc )

try to read a format zone : 'f' or 'l' or 'o' or 'r' or 's'(in TOCX)

Referenced by readSWFlyFrameList().

## ◆ readSWNumberFormatterList()

bool StarFormatManager::readSWNumberFormatterList | ( | StarZone & | zone | ) |

try to read a number formatter type : 'q'

## ◆ readSWPatternLCL()

bool StarFormatManager::readSWPatternLCL | ( | StarZone & | zone | ) |

try to read a format pattern LCL : 'P' (list of 'D') (child of a TOXs)

## ◆ storeSWFormatDef()

void StarFormatManager::storeSWFormatDef | ( | librevenge::RVNGString const & | name,
|  | std::shared_ptr< StarFormatManagerInternal::FormatDef > & | format )

store a named format zone

## ◆ updateNumberingProperties()

void StarFormatManager::updateNumberingProperties | ( | STOFFCell & | cell | ) | const

try to update the cell's data

## Member Data Documentation

## ◆ m_state

std::shared_ptr<StarFormatManagerInternal::State> StarFormatManager::m_state
| private

the state

Referenced by getSWFormatDef(), readNumberFormatter(), StarFormatManager(), storeSWFormatDef(), and updateNumberingProperties().

The documentation for this class was generated from the following files:

- StarFormatManager.hxx
- StarFormatManager.cxx